@media (max-width: 1199px) {

    /* smaller screen  */


}

@media (min-width: 1200px) {

    /* larger screen */

}

body {
    background-color: #000;
}
.roulette {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #000;
    text-align: center;
    margin: 0 auto;
    line-height: 30px;
}

.roulette_logo {
    height: 100px;
}

.roulette_window {
    overflow: hidden;
    height: 500px;
    width: 300px;
    border: 8px solid #2d1172;
    border-radius: 30px;
    box-shadow: 0px 0px 40px rgba(45, 17, 114, 0.9);
}

.roulette_reel {
    display: flex;
    flex-direction: column;
    will-change: transform;
    backface-visibility: hidden;
    transform: translate3d(0, 0, 0);
}

.roulette_image_area {
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    /* margin-top: -3px; */
    /* margin-bottom: -3px; */
}

.roulette_image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
    user-drag: none;
    -webkit-user-drag: none;
}

.roulette_amount {}

.roulette_amount_input {
    border: 4px solid #2d1172;
    border-radius: 10px;
    background-color: #000;
    width: 300px;
    margin: 10px 0px;
    height: 50px;
    color: #b79bff;
    padding: 3px;
    font-size: 30px;
    text-align: center;   
}
.roulette_amount_input::placeholder{
    font-size: 22px;
    color: #4218ac;
}

.roulette_spin_button {
    background: linear-gradient(to bottom, #764edb, #3c169c);
    color: white;
    font-weight: bold;
    font-size: 20px;
    border: none;
    border-radius: 10px;
    padding: 15px 80px;
    cursor: pointer;
    box-shadow: 0 4px #270a71;
    transition: all 0.1s ease-in-out;
    width: 300px;
    margin-bottom: 40px;
}

.roulette_spin_button.disabled:hover {
    background: linear-gradient(to bottom, #764edb, #3c169c);
}
.roulette_spin_button:hover {
    background: linear-gradient(to bottom, #3c169c, #140341);
}

.roulette_spin_button.disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.roulette_spin_button:active {
    transform: translateY(2px);
    box-shadow: 0 2px #270a71;
} 

.roulette_reel.blur .roulette_image {
    filter: blur(0px);
}

.roulette_message_area {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    max-width: 340px;
    width: 100%;
    border: 6px solid rgb(45, 17, 114);
    border-radius: 12px;
    background-color: #000;
    text-align: center;
    box-shadow: 0px 0px 40px rgba(45, 17, 114, 0.9);
    transition: 0.5s all;
    opacity: 0;
}

.roulette_message_area_inner {
    background: linear-gradient(0deg, rgba(45, 17, 114, 0.7), rgba(0, 0, 0, 0.6));
    padding: 15px 15px;
}

.roulette_message_title {
    font-size: 20px;
    font-weight: 500;
    padding-bottom: 10px;
}
.roulette_message_sub {
    font-size: 16px;
    line-height: 28px;
    padding-bottom: 10px;
}

.roulette_purchase_button {
    background: linear-gradient(to bottom, #764edb, #3c169c);
    color: white;
    font-weight: bold;
    font-size: 20px;
    border: none;
    border-radius: 10px;
    padding: 15px 80px;
    cursor: pointer;
    box-shadow: 0 4px #270a71;
    transition: all 0.1s ease-in-out;
    width: 300px;
}

.roulette_purchase_button:hover {
    background: linear-gradient(to bottom, #3c169c, #140341);
}